package com.ssj.service.reading.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * 签到签离入参实体
 */
public class BookBorrowInDto extends BaseRequest{


	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="libId",value="图书馆id",required=true)
	@NotNull
	private String libId;

	@ApiModelProperty(name="pageSize",value="一页10条",required=true)
	private int pageSize =10;
	@ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo =1;

	@ApiModelProperty(name="type",value = "1-未过期 2-已过期3-近7天4-近30天5-近180天",required = true)
	@NotNull
	private int type;

	@ApiModelProperty(name="state",value = "1-借阅中 2-已归还",required = true)
	@NotNull
	private int state;

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}
}
